# AssetTypeVerification

## Overview

AssetTypeVerification is an Enum that sets the asset type verification mode when the Humanoid:ApplyDescription() function is called.

This verification is essential for security purposes and ensures that models’ asset types are correct when ApplyDescription loads them.

## Items

| Name       | Value | Description                                                                                        |
| ---------- | ----- | -------------------------------------------------------------------------------------------------- |
| Default    | 1     | Verifies asset types according to default action.                                                  |
| ClientOnly | 2     | Verifies asset types only on the client. Asset type verification cannot be disabled on the client. |
| Always     | 3     | Always verifies asset types and prevents invalid models from being loaded.                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/assettypeverification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
